Package org.italiangrid.voms.error

# Class VOMSValidationErrorMessage

java.lang.Object
org.italiangrid.voms.error.VOMSValidationErrorMessage

public class VOMSValidationErrorMessage extends Object
A VOMS validation error message class (freely inspired by the CANL validation error message class).

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`VOMSValidationErrorCode`
`getErrorCode()`
`String`
`getMessage()`
`Object[]`
`getParameters()`
`int`
`hashCode()`
`static VOMSValidationErrorMessage`
`newErrorMessage(VOMSValidationErrorCode errorCode)`
`static VOMSValidationErrorMessage`
`newErrorMessage(VOMSValidationErrorCode errorCode, Object... params)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### newErrorMessage

public static VOMSValidationErrorMessage newErrorMessage(VOMSValidationErrorCode errorCode)

### newErrorMessage

public static VOMSValidationErrorMessage newErrorMessage(VOMSValidationErrorCode errorCode, Object... params)

### getErrorCode

public VOMSValidationErrorCode getErrorCode()

### getMessage

public String getMessage()

### getParameters

public Object[] getParameters()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`